# -*- coding: utf-8 -*-
# Generated by Django 1.9.7 on 2016-07-05 06:12
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('u', '0003_userprofile_has_validated_email'),
    ]

    operations = [
        migrations.CreateModel(
            name='Presentation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.TextField(verbose_name='Title (publicly displayed)')),
                ('data', models.TextField(default='{"metadata": {}, "speech": [{"indent": 0, "idea": "Type to get started...", "execution": "", "uuid": "00000000-0000-0000-0000000000000000"}]}', verbose_name='Data with speech, internal JSON format')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
